/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_EQUIPCIA                                                 */
/* Tabela : EQUIPCIA                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_EQUIPCIA' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_EQUIPCIA
GO

CREATE TRIGGER DTULTATU_EQUIPCIA
ON EQUIPCIA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'EQUIPCIA', null, 'CDFILIAL='+ CDFILIAL+ ';'+
                                       'CDCIA='   + CDCIA   + ';'+
                                       'CDEQUIP=' + CDEQUIP + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE EQUIPCIA
      SET DTULTATUEQUC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(EQUIPCIA.CDFILIAL,0) = ISNULL(INSERTED.CDFILIAL,0)) AND
            (ISNULL(EQUIPCIA.CDCIA   ,0) = ISNULL(INSERTED.CDCIA   ,0)) AND
            (ISNULL(EQUIPCIA.CDEQUIP ,0) = ISNULL(INSERTED.CDEQUIP ,0)) AND
            (ISNULL(EQUIPCIA.QTTOTPAX,0) = ISNULL(INSERTED.QTTOTPAX,0));
   END;
END;
GO

